// ignore_for_file: constant_identifier_names

/// 设备事件状态枚举
abstract class VDeviceEventStatus {
  /// 藍牙BLUETOOTH未开启 - 88
  static const int PERMISSION_OFF_BT = 88;

  /// 藍牙BLUETOOTH_ADMIN未开启 - 89
  static const int PERMISSION_OFF_BT_ADMIN = 89;

  /// 藍牙ACCESS_FINE_LOCATION未开启 - 90
  static const int PERMISSION_OFF_FINE_LOCATION = 90;

  /// 藍牙ACCESS_COARSE_LOCATION未开启 - 91
  static const int PERMISSION_OFF_COARSE_LOCATION = 91;

  /// 藍牙BLUETOOTH_SCAN未开启 - 92
  static const int PERMISSION_OFF_BT_SCAN = 92;

  /// 藍牙BLUETOOTH_ADVERTISE未开启 - 93
  static const int PERMISSION_OFF_BT_ADVERTISE = 93;

  /// 藍牙BLUETOOTH_CONNECT 未开启 - 94
  static const int PERMISSION_OFF_BT_CONNECT = 94;

  /// 未注册回调接口 - 95
  static const int CALLBACK_UNDEFINED = 95;

  /// 参数传递错误 - 96
  static const int PARAM_ERROR = 96;

  /// 不支持该型号设备驱动 - 97
  static const int DEVICE_UNSUPPORT = 97;

  /// 蓝牙未开启 - 98
  static const int BLE_NOT_ON = 98;

  /// 蓝牙连接中 - 99
  static const int BLE_CONNECTING = 99;

  /// 连接蓝牙成功 - 100
  static const int BLE_CONNECT_SUCCESS = 100;

  /// 连接蓝牙失败 - 101
  static const int BLE_CONNECT_FAIL = 101;

  /// 蓝牙断开 - 102
  static const int BLE_DISCONNECTED = 102;

  /// 未搜索到蓝牙设备 - 103
  static const int BLE_DEVICE_NOT_FOUND = 103;

  /// 搜索到设备 - 104
  static const int BLE_DEVICE_FOUND = 104;

  /// 开始搜索 - 105
  static const int DEVICE_SEARCH_START = 105;

  /// 搜索结束 - 106
  static const int DEVICE_SEARCH_STOP = 106;

  /// 蓝牙连接成功，注册通知失败 - 107
  static const int BLUETOOTH_CONNECTED_NO_NOTIFY = 107;

  /// 该设备需要绑定配对，才可以连接 - 108
  static const int DEVICE_NOT_MATCHED = 108;

  /// Mac地址无效 - 109
  static const int DEVICE_MAC_INVALID = 109;

  /// 不支持该功能 - 110
  static const int FUNCTION_NOT_SUPPORT = 110;

  /// 非法访问异常 - 111
  static const int FORBIDDEN_ACCESS_ERROR = 111;

  /// 装置目标异常 - 112
  static const int DEVICE_TARGET_ERROR = 112;

  /// 该驱动类型不支持该方法 - 113
  static const int DEVICE_DRIVER_NOTMATCH_METHOD = 113;

  /// 发送命令成功 - 114
  static const int SEND_COMMAND_SUCCESS = 114;

  /// 发送命令失败 - 115
  static const int SEND_COMMAND_FAIL = 115;

  /// 结果值效验失败 - 116
  static const int RESULT_VALUE_INVALIDED = 116;

  /// BT蓝牙配对中
  static const int BT_BOUNDING = 117;

  /// BT蓝牙配对成功
  static const int BT_BOUND_SUCCESS = 118;

  /// BT蓝牙配对失败
  static const int BT_BOUND_FAIL = 119;

  /// 体温测量成功 - 1000
  static const int EXAM_TEMP_SUCCESS = 1000;

  /// 体温测量错误 - 1001
  static const int EXAM_TEMP_ERROR = 1001;

  /// 体温过低 - 1002
  static const int EXAM_TEMP_TOO_LOW = 1002;

  /// 体温过高 - 1003
  static const int EXAM_TEMP_TOO_HIGH = 1003;

  /// 体重测量成功 - 1100
  static const int EXAM_WEIGHT_SUCCESS = 1100;

  /// 体重测量错误 - 1101
  static const int EXAM_WEIGHT_ERROR = 1101;

  /// 血糖测量成功 - 1200
  static const int EXAM_SUGAR_SUCCESS = 1200;

  /// 血糖测量错误 - 1201
  static const int EXAM_SUGAR_ERROR = 1201;

  /// 尿酸测量成功（百捷三合一有效） - 1202
  static const int EXAM_URINE_PH_SUCCESS = 1202;

  /// 尿酸测量错误（百捷三合一有效） - 1203
  static const int EXAM_URINE_PH_ERROR = 1203;

  /// 胆固醇测量成功（百捷三合一有效） - 1204
  static const int EXAM_CHOLESTEROL_SUCCESS = 1204;

  /// 胆固醇测量错误（百捷三合一有效） - 1205
  static const int EXAM_CHOLESTEROL_ERROR = 1205;

  /// 无测量数据 - 1206
  static const int EXAM_SUGAR_NO_RESULT = 1206;

  /// 血糖测量报警 - 1207
  static const int EXAM_MEASURE_SUGAR_WARN = 1207;

  /// 血糖测量状态提示 - 1208
  static const int EXAM_MEASURE_SUGAR_STATUS = 1208;

  /// 肺活仪测量成功 - 1300
  static const int EXAM_LUNG_SUCCESS = 1300;

  /// 肺活仪测量失败 - 1301
  static const int EXAM_LUNG_ERROR = 1301;

  /// 没有肺活仪测量数据 - 1302
  static const int EXAM_LUNG_NO_RESULT = 1302;

  /// 尿液分析获取成功 - 1400
  static const int EXAM_URINE_SUCCESS = 1400;

  /// 尿液分析失败 - 1401
  static const int EXAM_URINE_ERROR = 1401;

  /// 没有尿液分析测量数据 - 1402
  static const int EXAM_URINE_NO_RESULT = 1402;

  /// 执行命令成功 - 1500
  static const int EXAM_NIBP_COMMAND_SUCCESS = 1500;

  /// 血压计忙无法处理 - 1501
  static const int EXAM_NIBP_BUSY_ERROR = 1501;

  /// 发送的指令无效 - 1502
  static const int EXAM_NIBP_COMMAND_ERROR = 1502;

  /// 获取系统成功 - 1503
  static const int EXAM_NIBP_GETSYS_SUCCESS = 1503;

  /// 血压的实时数据 - 1504
  static const int EXAM_NIBP_LIVE = 1504;

  /// 血压的测量结果 - 1505
  static const int EXAM_NIBP_RESULT = 1505;

  /// 血压测量错误 - 1506
  static const int EXAM_NIBP_ERROR = 1506;

  /// 删除血压数据成功 - 1507
  static const int EXAM_NIBP_DELETE_SUCCESS = 1507;

  /// 血压计没有序号 - 1508
  static const int EXAM_NIBP_SORTNO_EMPTY = 1508;

  /// 返回血压计序列号 - 1509
  static const int EXAM_NIBP_SORTNO_RETURN = 1509;

  /// 没有血压数据 - 1510
  static const int EXAM_NIBP_NO_RESULT = 1510;

  /// 血氧饱和度和脉率成功 - 1600
  static const int EXAM_SPO2_SUCCESS = 1600;

  /// 血氧体积描记图（脉搏波形体积描记图） - 1601
  static const int EXAM_SPO2_POINTS = 1601;

  /// 血氧探头脱落 - 1602
  static const int EXAM_SPO2PROBE_FALLOFF_ERROR = 1602;

  /// 连接心电失败 - 1700
  static const int EXAM_HEART_CONNECT_ERROR = 1700;

  /// 心电导联脱落 - 1701
  static const int EXAM_ECG_LEAD_FALLOFF_ERROR = 1701;

  /// 心电测量值 - 1702
  static const int EXAM_HEART_MEASURE_VALUE = 1702;

  ///	心电测量结果 - 1703
  static const int EXAM_HEART_MEASURE_RESULT = 1703;

  ///	心电测量有噪点 - 1704
  static const int EXAM_HEART_MEASURE_NOISE = 1704;

  ///	IC读卡失败 - 1800
  static const int EXAM_ICREADER_FAIL = 1800;

  ///	IC读卡成功 - 1801
  static const int EXAM_ICREADER_SUCCESS = 1801;

  /// 12导心电测量结果
  static const int EXAM_HEART_TWELVE_RESULT = 1901;

  /// 开始保存心电测量值
  static const int EXAM_HEART_TWELVE_START_SAVE_RESULT = 1902;

  /// 保存心电测量值成功
  static const int EXAM_HEART_TWELVE_START_SAVE_RESULT_SUCCESS = 1903;

  /// 保存心电测量值进度
  static const int EXAM_HEART_TWELVE_START_SAVE_RESULT_PROGRESS = 1904;

  /// 心电测量值稳定
  static const int EXAM_HEART_TWELVE_STABLE = 1905;

  /// 心电测量值结论
  static const int EXAM_HEART_TWELVE_CONCLUSION = 1906;

  ///身高体重测量成功
  static const int EXAM_WEIGHT_HEIGHT_SUCCESS = 2003;

  ///身高体重测量失败
  static const int EXAM_WEIGHT_HEIGHT_ERROR = 13;
}
